import { ElementRef, EventEmitter } from '@angular/core';
import { BaseComponent } from './base.component';
import { GridStateService } from './grid-state.service';
import { Column } from '@true-directive/base';
export declare class GridHeaderCellComponent extends BaseComponent {
    state: GridStateService;
    elementRef: ElementRef;
    column: Column;
    toggleCheckColumn: EventEmitter<any>;
    captionMouseDown: EventEmitter<any>;
    captionMouseUp: EventEmitter<any>;
    captionTouchStart: EventEmitter<any>;
    caption: any;
    btn: any;
    isFiltered(): boolean;
    setState(s: string): void;
    removeState(s: string): void;
    btnIconClass(): string;
    isSorted(col: Column): boolean;
    sortIndicatorClass(): string;
    toggleCheck(e: any): void;
    headerMouseDown(e: any): void;
    mouseDown(e: any): void;
    mouseUp(e: any): void;
    touchStart(e: any): void;
    btnTouch(e: any): void;
    btnClick(e: any): void;
    btnMouseDown(e: any): void;
    ngAfterContentInit(): void;
    constructor(state: GridStateService, elementRef: ElementRef);
}
